#ifndef _EPHE_HPP_
#define _EPHE_HPP_
#include <wx/string.h>
#include <wx/grid.h>

class wxEpheApp;

class	Ephemerides
{
	public:
		typedef	enum {HELIO,GEO,GEOAPP,EQUA,HORAIRE,HORIZON} COORD_TYPE;
		typedef enum {DECI,HMS} BOOL_HMS;

		wxEpheFrameOL 	*Frame;

		Observateur	Observ;

		Astre	Soleil;
		Astre	Planete[9];
		AstreLune	Lune;

		Nutation	Nutat;

		double	epsilon;	// obliquité : inclinaison de l'équateur terrestre par rapport à l'écliptique

		unsigned short int	maxastr;	// arrêt des calculs à cet astreid

		void	InitAstres(void);
		void	Obliquite(void);
		void	Affiche(wxEpheFrameOL *, BOOL_HMS hms=HMS);

	private:
		void	AfficheCoord(COORD_TYPE, BOOL_HMS);
		void	AfficheLigneCoord(wxGrid *, const wxString &, COORD_TYPE, Vecteur::COORD_POL, BOOL_HMS);
		void	AfficheAPP(void);
		void	AfficheLMC(void);
		void	AfficheHeureLMC(Instant &, unsigned char, unsigned char);
		void	AfficheDureesLMC(Instant &, Instant &, unsigned char col);

};
#endif	// _EPHE_HPP_
