#ifndef _INSTANT_HPP_
#define _INSTANT_HPP_
#include <wx/datetime.h>

class wxEpheFrameOL;

#define	TUSING	-100.0
#define KH2D	15.0		// angles en heures vers angles en degres


class	Instant
{
	#define	NOZONE	50000L

	double	hDeci(const wxDateTime::Tm &) const;
	double	dj2t(void);
	double	Sideral(double);

	public:
		wxDateTime	dtlocal;		// date et heure locale
		wxDateTime::TimeZone	tz, tzoffset;	// time zone and time zone offset, to deal with strange - buggy - wxDateTime time zone management

		double	datejulienne;	// date julienne (avec TU)
		double	t;	 	// nombre de jours julien depuis 31/12/1899 à 12h

		double	tu;		// temps universel
		double	tsg0;		// temps sidéral à Greenwich à 0hTU
		double	tsg;   		// temps sidéral à Greenwich
		double	ts;		// temps sidéral du lieu


		double	Init(double);
		double	tu2t(const Instant &, bool, double);
		bool	IsValid(void);
		double	Julien(const wxDateTime &, double * =NULL);
		double	InvJulien(wxDateTime &, double);
//		void	DiffHeure(bool, double);

		void	Affiche(wxEpheFrameOL *) const;
};

#endif	// _INSTANT_HPP_
