#ifndef _VECT_HPP_
#define _VECT_HPP_
// conversion Décimal --> Sexagésimal
#ifndef	NULL
#define	NULL	0L
#endif

double	Deci2Sexa(double, short int * =NULL, unsigned char * =NULL, unsigned char * =NULL);

class Vecteur
{
	#define RAD2DEG(x)	((x)*180.0/M_PI)	// conversion radians --> degres
	#define DEG2RAD(x)	((x)*M_PI/180.0)	// conversion degres --> radians

	#define K360(x) ((x)<0.0?fmod(x,360.0)+360.0:fmod(x,360.0))	// entre 0 et 360
	#define KNEG(x) ((x) > 180.0 ? (x)-360.0: (x))			// entre -180 et 180
	#define K24(x)	((x)<0.0?fmod(x,24.0)+24.0:fmod(x,24.0))	// entre 0 et 24 h

	public:
		typedef	enum {COORD_R,COORD_TETA,COORD_PHI} COORD_POL;
		typedef enum {COORD_X,COORD_Y,COORD_Z} COORD_RECT;

		double	Spher[3];	// coordonnées sphériques
		double	Rect[3];	// coordonnées rectangulaires


		// constructeurs et destructeur
		Vecteur(double,double,double,bool);
		Vecteur();
		~Vecteur() {};


		// conversions sphériques <--> rectangulaires
		Vecteur	Rectangulaire(void);
		Vecteur	Spherique(void);

		// rotations autour des axes Ox et Oy
		Vecteur	RotationX(double);
		Vecteur	RotationY(double);

		// surcharge des opérateurs +, - et =
		Vecteur	operator+(const Vecteur &) const;
		Vecteur	operator-(const Vecteur &) const;
		Vecteur	operator=(const Vecteur &);

		// formatage des résultats
		void	Affiche(unsigned short int,bool,bool) const;
};


class	VectData
{
	public:
		double	d[5];	// 4 éléments en standard, 1 supplémentaire

		VectData operator =(const double [4]);

		double	Dot(const VectData &) const;
		double	DotT(double) const;
		double	DotTprecis(double) const;
		double	DotTprecis2(double,double) const;

		double	Dot5(const double [5]) const;	// uniquement pour Nutation

		void	Affiche(void) const;
};

#endif	// _VECT_HPP_
