#ifndef _WXEPHEAPP_H_
#define _WXEPHEAPP_H_

#include <wx/wx.h>
#include <wx/stdpaths.h>

#include "wxEpheForm.h"

#ifdef	HAVE_CONFIG_H
	#include "../config.h"
#else
	#define	PACKAGE_NAME		"wxEphe"
	#define	PACKAGE_VERSION		"1.4"
	#define	PACKAGE_BUGREPORT	"Jean Philippe EIMER (phil.eimer@9online.fr)\n"
#endif

class wxEpheFrameOL;
class Ephemerides;


class wxEpheApp : public wxApp
{
public:
	wxLocale* 		locale;
	bool OnInit();
	virtual int	OnExit();

private:
	wxEpheFrameOL	*Frame;
	wxDateTime		*Date;
};


class wxEpheFrameOL : public wxEpheFrame
{
public:
	wxEpheFrameOL(wxWindow *parent);
	void	Init(void);

protected:

private:
	wxEpheApp 	*App;
	Ephemerides	E;

	void	EventNow( wxCommandEvent& event );
	void	EventSet( wxCommandEvent& event );
	void	OnClose( wxCloseEvent& event );
	void	OnTimer( wxTimerEvent& event );
	void	OnCheckBox( wxCommandEvent& event );

    // any class wishing to process wxWidgets events must use this macro
	DECLARE_EVENT_TABLE()
};

#endif /* _WXEPHEAPP_H_ */
